<?php

  require_once "Alfresco/Service/Session.php";
  require_once "Alfresco/Service/SpacesStore.php";
  require_once "Alfresco/Service/Node.php";

  // Start and create the session
  $repository = new Repository("http://localhost:8080/alfresco/api");
  $ticket = $repository->authenticate("admin", "admin");
  $session = $repository->createSession($ticket);

  $store = new Store($session, "SpacesStore");

  $folderPath = "/app:company_home/cm:SomeCo";

  // Grab a reference to the SomeCo folder
  $results = $session->query($store, 'PATH:"' . $folderPath . '"');
  $rootFolderNode = $results[0];

  if ($rootFolderNode == null) {
    echo "Root folder node (" . $folderPath . ") is null<br>";
    exit;
  } 

  $timestamp = time();
        
  $newNode = $rootFolderNode->createChild("{http://www.someco.com/model/content/1.0}doc", "cm_contains", "{http://www.someco.com/model/content/1.0}doc_" . $timestamp );

  if ($newNode == null) {
    echo "New node is null<br>";
    exit;
  }

  // Add the two aspects
  $newNode->addAspect("{http://www.someco.com/model/content/1.0}webable");
  $newNode->addAspect("{http://www.someco.com/model/content/1.0}productRelated");

  echo "Aspects added<br>";

  // Set the properties

  $properties = $newNode->getProperties();

  $properties["{http://www.alfresco.org/model/content/1.0}name"] = "test whitepaper (" . $timestamp . ")";
  $properties["{http://www.someco.com/model/content/1.0}isActive"] = "true";
  $properties["{http://www.someco.com/model/content/1.0}published"] = "2007-04-01T00:00:00.000-05:00";

  $newNode->setProperties($properties);

  echo "Props set<br>";

  $newNode->setContent("cm_content", "text/plain", "UTF-8", "This is a sample document");

  echo "Content set<br>";

  $session->save();

  echo "Saved changes to " . $newNode->getId() . "<br>";

?>